Get advertiser onboarding state for a specific DSP
curl --request GET \
--url https://api.topsort.com/public/v1/offsite-ads/advertisers/{vendor_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/offsite-ads/advertisers/{vendor_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/offsite-ads/advertisers/{vendor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vendorId": "<string>",
"dspOnboardingStatus": {
"dsp": "google_ads",
"status": "not_started",
"lastUpdated": "2023-11-07T05:31:56Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Offsite Ads API
Get advertiser onboarding state for a specific DSP
Get advertiser onboarding state for a specific DSP.
GET
/
public
/
v1
/
offsite-ads
/
advertisers
/
{vendor_id}
Get advertiser onboarding state for a specific DSP
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
Vendor ID associated with the advertiser.
Query Parameters
The DSP to get the advertiser info for.
Available options:
google_ads, meta Was this page helpful?